import { z } from "zod";
import { OnboardConfigurationData } from "../onboard";

export const OnboardStatusOutput = z.object({
	needsOnboarding: z.boolean(),
});
export type OnboardStatusOutput = z.infer<typeof OnboardStatusOutput>;

export const OnboardCompletedInput = OnboardConfigurationData;
export type OnboardCompletedInput = z.infer<typeof OnboardCompletedInput>;

export const OnboardCompletedOutput = z.object({
	success: z.boolean(),
	completed: z.boolean(),
});
export type OnboardCompletedOutput = z.infer<typeof OnboardCompletedOutput>;

export const OnboardFolderInput = z.object({
	path: z.string().array(),
});
export type OnboardFolderInput = z.infer<typeof OnboardFolderInput>;

export const OnboardFolderOutput = z.object({
	name: z.string(),
	type: z.enum(["FOLDER"]),
});
export type OnboardFolderOutput = z.infer<typeof OnboardFolderOutput>;
